<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::CurrentFileInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_current_file_info.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classerpcgen_1_1_current_file_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::CurrentFileInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class contains necessary information about analysed file.  
 <a href="classerpcgen_1_1_current_file_info.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_erpc_lexer_8h_source.html">ErpcLexer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4a1e670a4ab6cbc78368c7051a779293"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#a4a1e670a4ab6cbc78368c7051a779293">CurrentFileInfo</a> (std::ifstream *savedFile, std::string fileName, std::string currentFolderPath)</td></tr>
<tr class="memdesc:a4a1e670a4ab6cbc78368c7051a779293"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4a1e670a4ab6cbc78368c7051a779293">More...</a><br /></td></tr>
<tr class="separator:a4a1e670a4ab6cbc78368c7051a779293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5214f81d5b1075ed7c6a0cbb13511275"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#a5214f81d5b1075ed7c6a0cbb13511275">~CurrentFileInfo</a> ()</td></tr>
<tr class="memdesc:a5214f81d5b1075ed7c6a0cbb13511275"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5214f81d5b1075ed7c6a0cbb13511275">More...</a><br /></td></tr>
<tr class="separator:a5214f81d5b1075ed7c6a0cbb13511275"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9e0c30d0b5ca7d06ed4e255bb7a8d57a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classsmart__ptr.html">smart_ptr</a>&lt; std::ifstream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#a9e0c30d0b5ca7d06ed4e255bb7a8d57a">m_savedFile</a></td></tr>
<tr class="separator:a9e0c30d0b5ca7d06ed4e255bb7a8d57a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a171f9dd78c9c6093c336ed6a1e5cb670"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#a171f9dd78c9c6093c336ed6a1e5cb670">m_previous</a></td></tr>
<tr class="separator:a171f9dd78c9c6093c336ed6a1e5cb670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b1c0992094441bfd62c1349b7f8fd0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#ae2b1c0992094441bfd62c1349b7f8fd0">m_line</a></td></tr>
<tr class="separator:ae2b1c0992094441bfd62c1349b7f8fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbcbca6555cfda69cea725f8b61f50de"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#afbcbca6555cfda69cea725f8b61f50de">m_column</a></td></tr>
<tr class="separator:afbcbca6555cfda69cea725f8b61f50de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad368a176dd7be54f58e81c4aed443308"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#ad368a176dd7be54f58e81c4aed443308">m_fileName</a></td></tr>
<tr class="separator:ad368a176dd7be54f58e81c4aed443308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a841e8d54561c48d783ba6599cf8e2"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_current_file_info.html#a90a841e8d54561c48d783ba6599cf8e2">m_currentFolderPath</a></td></tr>
<tr class="separator:a90a841e8d54561c48d783ba6599cf8e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class contains necessary information about analysed file. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4a1e670a4ab6cbc78368c7051a779293"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::CurrentFileInfo::CurrentFileInfo </td>
          <td>(</td>
          <td class="paramtype">std::ifstream *&#160;</td>
          <td class="paramname"><em>savedFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>currentFolderPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set default values to object variables. Pointer to file ifstream, file name and current folder path are given as function parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">savedFile</td><td>Pointer to analysed file. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fileName</td><td>Name of analysed file. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">currentFolderPath</td><td>Path to folder of current file. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5214f81d5b1075ed7c6a0cbb13511275"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::CurrentFileInfo::~CurrentFileInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>
<p>This function will close used file, when destructor is called. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="afbcbca6555cfda69cea725f8b61f50de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::CurrentFileInfo::m_column</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Column number on the line in current file. </p>

</div>
</div>
<a class="anchor" id="a90a841e8d54561c48d783ba6599cf8e2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::CurrentFileInfo::m_currentFolderPath</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Path to folder of current file. </p>

</div>
</div>
<a class="anchor" id="ad368a176dd7be54f58e81c4aed443308"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::CurrentFileInfo::m_fileName</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>File name for current file. </p>

</div>
</div>
<a class="anchor" id="ae2b1c0992094441bfd62c1349b7f8fd0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::CurrentFileInfo::m_line</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Line number in current file. </p>

</div>
</div>
<a class="anchor" id="a171f9dd78c9c6093c336ed6a1e5cb670"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_current_file_info.html">CurrentFileInfo</a>* erpcgen::CurrentFileInfo::m_previous</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to previous saved file info. </p>

</div>
</div>
<a class="anchor" id="a9e0c30d0b5ca7d06ed4e255bb7a8d57a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classsmart__ptr.html">smart_ptr</a>&lt;std::ifstream&gt; erpcgen::CurrentFileInfo::m_savedFile</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pointer to current file </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_erpc_lexer_8h_source.html">ErpcLexer.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
